Index: extensions/NO-UC-piwigopress/pwg-fr_FR.po
===================================================================
--- extensions/PiwigoPress/pwg-fr_FR.po	(revision 4101)
+++ extensions/NO-UC-piwigopress/pwg-fr_FR.po	(revision 4102)
@@ -16,129 +16,129 @@
 "X-Poedit-KeywordsList: __;_e;_c\n"
 "X-Poedit-Basepath: C:\\wamp\\www\\svn-org\\extensions\n"
-"X-Poedit-SearchPath-0: PiwigoPress\n"
+"X-Poedit-SearchPath-0: piwigopress\n"
 
-#: PiwigoPress/PiwigoPress.php:36
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:36
+#: piwigopress/PiwigoPress.php:36
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:36
 msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
 msgstr "Ajouter une miniature et son lien (vers l'image) dans la barre latérale du blog"
 
-#: PiwigoPress/PiwigoPress_code.php:64
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
+#: piwigopress/PiwigoPress_code.php:64
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
 msgid "Pictures categories"
 msgstr "Catégorie d'images"
 
-#: PiwigoPress/PiwigoPress_code.php:77
-#: PiwigoPress/PiwigoPress_options.php:76
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+#: piwigopress/PiwigoPress_code.php:77
+#: piwigopress/PiwigoPress_options.php:76
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
 msgid "Most visited"
 msgstr "Plus populaires"
 
-#: PiwigoPress/PiwigoPress_code.php:80
-#: PiwigoPress/PiwigoPress_options.php:80
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+#: piwigopress/PiwigoPress_code.php:80
+#: piwigopress/PiwigoPress_options.php:80
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
 msgid "Best rated"
 msgstr "Mieux notées"
 
-#: PiwigoPress/PiwigoPress_code.php:83
-#: PiwigoPress/PiwigoPress_options.php:84
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+#: piwigopress/PiwigoPress_code.php:83
+#: piwigopress/PiwigoPress_options.php:84
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
 msgid "Most commented"
 msgstr "Plus commentées"
 
-#: PiwigoPress/PiwigoPress_code.php:86
-#: PiwigoPress/PiwigoPress_options.php:88
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+#: piwigopress/PiwigoPress_code.php:86
+#: piwigopress/PiwigoPress_options.php:88
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
 msgid "Random"
 msgstr "Aléatoire"
 
-#: PiwigoPress/PiwigoPress_code.php:89
-#: PiwigoPress/PiwigoPress_options.php:92
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+#: piwigopress/PiwigoPress_code.php:89
+#: piwigopress/PiwigoPress_options.php:92
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
 msgid "Recent pics"
 msgstr "Images récentes"
 
-#: PiwigoPress/PiwigoPress_code.php:92
-#: PiwigoPress/PiwigoPress_options.php:96
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+#: piwigopress/PiwigoPress_code.php:92
+#: piwigopress/PiwigoPress_options.php:96
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
 msgid "Calendar"
 msgstr "Calendrier"
 
-#: PiwigoPress/PiwigoPress_code.php:95
-#: PiwigoPress/PiwigoPress_options.php:100
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+#: piwigopress/PiwigoPress_code.php:95
+#: piwigopress/PiwigoPress_options.php:100
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
 msgid "Tags"
 msgstr "Tags"
 
-#: PiwigoPress/PiwigoPress_code.php:98
-#: PiwigoPress/PiwigoPress_options.php:104
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+#: piwigopress/PiwigoPress_code.php:98
+#: piwigopress/PiwigoPress_options.php:104
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
 msgid "Comments"
 msgstr "Commentaires"
 
-#: PiwigoPress/PiwigoPress_options.php:6
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+#: piwigopress/PiwigoPress_options.php:6
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
 msgid "Random picture"
 msgstr "Images aléatoires"
 
-#: PiwigoPress/PiwigoPress_options.php:33
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+#: piwigopress/PiwigoPress_options.php:33
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
 msgid "Title"
 msgstr "Titre"
 
-#: PiwigoPress/PiwigoPress_options.php:37
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+#: piwigopress/PiwigoPress_options.php:37
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
 msgid "Get thumbnails"
 msgstr "Obtenir les miniatures"
 
-#: PiwigoPress/PiwigoPress_options.php:41
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+#: piwigopress/PiwigoPress_options.php:41
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
 msgid "<strong>Local</strong> directory (if local)"
 msgstr "Répertoire <strong>local</strong> (si local)"
 
-#: PiwigoPress/PiwigoPress_options.php:45
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+#: piwigopress/PiwigoPress_options.php:45
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
 msgid "(or) <strong>External</strong> gallery URL"
 msgstr "(ou) URL de la galerie <strong>externe</strong>"
 
-#: PiwigoPress/PiwigoPress_options.php:49
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+#: piwigopress/PiwigoPress_options.php:49
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
 msgid "Number of pictures (0=none)"
 msgstr "Nombre d'images (0=aucune)"
 
-#: PiwigoPress/PiwigoPress_options.php:53
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+#: piwigopress/PiwigoPress_options.php:53
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
 msgid "Optional parameters"
 msgstr "Paramètres optionnels"
 
-#: PiwigoPress/PiwigoPress_options.php:55
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+#: piwigopress/PiwigoPress_options.php:55
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
 msgid "Category id (0=all)"
 msgstr "Id de la catégorie (0=toutes)"
 
-#: PiwigoPress/PiwigoPress_options.php:59
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+#: piwigopress/PiwigoPress_options.php:59
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
 msgid "Since X months (0=all)"
 msgstr "Depuis X mois (0=tous)"
 
-#: PiwigoPress/PiwigoPress_options.php:63
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+#: piwigopress/PiwigoPress_options.php:63
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
 msgid "CSS DIV class"
 msgstr "Classe CSS pour DIV"
 
-#: PiwigoPress/PiwigoPress_options.php:67
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+#: piwigopress/PiwigoPress_options.php:67
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
 msgid "CSS IMG class"
 msgstr "Classe CSS pour IMG"
 
-#: PiwigoPress/PiwigoPress_options.php:72
-#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+#: piwigopress/PiwigoPress_options.php:72
+#: piwigopress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
 msgid "Categories menu"
 msgstr "Menu des catégories"