Index: /extensions/pLoader/trunk/locale/ja_JP/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/ja_JP/gs.html	(revision 4120)
+++ /extensions/pLoader/trunk/locale/ja_JP/gs.html	(revision 4120)
@@ -0,0 +1,23 @@
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+</head>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    pLoaderを開始するには、下記のリンクをクリックしてください。
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">新しいアルバムを追加します。</a>
+    <br />
+    <br />
+    2. <a href="add_photos">写真を選択に追加します。</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">写真選択をあなたのアルバムに追加します。</a>
+    </font>
+</body>
+</html>
Index: /extensions/pLoader/trunk/locale/ja_JP/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/ja_JP/pLoader.po	(revision 4120)
+++ /extensions/pLoader/trunk/locale/ja_JP/pLoader.po	(revision 4120)
@@ -0,0 +1,363 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-02-14 11:36+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Mitsuhiro Yoshida <mits@mitstek.com>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "アップロードする写真を選択してください。"
+
+msgid "JPEG files"
+msgstr "JPEGファイル"
+
+msgid "Default author :"
+msgstr "デフォルト作者 :"
+
+msgid "Photo caption  prefix :"
+msgstr "写真キャプション接頭辞 :"
+
+msgid "Site thumbnail size :"
+msgstr "サイトサムネイルサイズ :"
+
+msgid "Site image width :"
+msgstr "サイトイメージ幅 :"
+
+msgid "Site image height :"
+msgstr "サイトイメージ高 :"
+
+msgid "Auto rotate image :"
+msgstr "イメージの自動回転 :"
+
+msgid "Upload high (original size) "
+msgstr "アップロード高 (オリジナルサイズ) "
+
+msgid "Yes"
+msgstr "Yes"
+
+msgid "No"
+msgstr "No"
+
+msgid "Admin. username :"
+msgstr "管理者ユーザ名 :"
+
+msgid "Admin. password :"
+msgstr "管理者パスワード :"
+
+msgid "OK"
+msgstr "OK"
+
+msgid "Cancel"
+msgstr "キャンセル"
+
+msgid "Create date :"
+msgstr "作成日 :"
+
+msgid "Width :"
+msgstr "幅 :"
+
+msgid "Height :"
+msgstr "高さ :"
+
+msgid "Orientation :"
+msgstr "方向 :"
+
+msgid "Shutter speed :"
+msgstr "シャッタースピード :"
+
+msgid "Aperture :"
+msgstr "絞り値 :"
+
+msgid "Focal length :"
+msgstr "焦点距離 :"
+
+msgid "Model :"
+msgstr "モデル  :"
+
+msgid "Lens :"
+msgstr "レンズ :"
+
+msgid "Author :"
+msgstr "作者 :"
+
+msgid "Comment :"
+msgstr "コメント :"
+
+msgid "French"
+msgstr "フランス語"
+
+msgid "English"
+msgstr "英語"
+
+msgid "Russian"
+msgstr "ロシア語"
+
+msgid "Italian"
+msgstr "イタリア語"
+
+msgid "German"
+msgstr "ドイツ語"
+
+msgid "Spanish"
+msgstr "スペイン語"
+
+msgid "Portuguese"
+msgstr "ポルトガル語"
+
+msgid "Dutch"
+msgstr "オランダ語"
+
+msgid "Polish"
+msgstr "ポーランド語"
+
+msgid "Piwigo categories"
+msgstr "Piwigoカテゴリ"
+
+msgid "Photo properties"
+msgstr "写真プロパティ"
+
+msgid "Tools"
+msgstr "ツール"
+
+msgid "Global settings"
+msgstr "グローバル設定"
+
+msgid "General"
+msgstr "一般"
+
+msgid "Resized"
+msgstr "リサイズ"
+
+msgid "Thumbnail"
+msgstr "サムネイル"
+
+msgid "Preview"
+msgstr "プレビュー"
+
+msgid "Photo selection"
+msgstr "写真選択"
+
+msgid "Language choice"
+msgstr "言語選択"
+
+msgid "Choose a language"
+msgstr "言語を選択する"
+
+msgid "Upload to Piwigo"
+msgstr "Piwigoにアップロードする"
+
+msgid "Remove photo from selection"
+msgstr "選択より写真を削除する"
+
+msgid "Add photo to selection"
+msgstr "選択に写真を追加する"
+
+msgid "Not connected"
+msgstr "未接続"
+
+msgid "Connection to"
+msgstr "接続"
+
+msgid "failed"
+msgstr "失敗"
+
+msgid "Piwigo login"
+msgstr "Piwigoログイン"
+
+msgid "Piwigo login error"
+msgstr "Piwigoログインエラー"
+
+msgid "Please select a valid target category"
+msgstr "有効なターゲットカテゴリを選択してください。"
+
+msgid "Piwigo upload error"
+msgstr "Piwigoアップロードエラー"
+
+msgid "Category name :"
+msgstr "カテゴリ名 :"
+
+msgid "Add new category"
+msgstr "新しいカテゴリを追加する"
+
+msgid "New category"
+msgstr "新しいカテゴリ"
+
+msgid "Upload cancelled"
+msgstr "アップロードがキャンセルされました。"
+
+msgid "Image upload progress information"
+msgstr "イメージアップロード進行情報"
+
+msgid "Cancel upload"
+msgstr "アップロードをキャンセルする"
+
+msgid "Piwigo upload information"
+msgstr "Piwigoアップロード情報"
+
+msgid "Processing"
+msgstr "処理中"
+
+msgid "images processed"
+msgstr "処理済みイメージ"
+
+msgid "images uploaded"
+msgstr "アップロード済みイメージ"
+
+msgid "images in errors and not uploaded"
+msgstr "エラーのため、イメージはアップロードされませんでした。"
+
+msgid "Duration"
+msgstr "持続期間"
+
+msgid "Categories"
+msgstr "カテゴリ"
+
+msgid "categories"
+msgstr "カテゴリ"
+
+msgid "Categorie"
+msgstr "カテゴリ"
+
+msgid "categorie"
+msgstr "カテゴリ"
+
+msgid "Album"
+msgstr "アルバム"
+
+msgid "Albums"
+msgstr "アルバム"
+
+msgid "album"
+msgstr "アルバム"
+
+msgid "albums"
+msgstr "アルバム"
+
+msgid "Photo caption :"
+msgstr "写真キャプション :"
+
+msgid "File name :"
+msgstr "ファイル名 :"
+
+msgid "Default photo caption :"
+msgstr "デフォルト写真キャプション :"
+
+msgid "Resize site image :"
+msgstr "サイトイメージをリサイズする :"
+
+msgid "Auto rotate :"
+msgstr "自動回転 :"
+
+msgid "Upload high (original size) :"
+msgstr "アップロード高 (オリジナルサイズ) :"
+
+msgid "Site image jpeg quality :"
+msgstr "サイトイメージJPEGクオリティ :"
+
+msgid "Site image filter :"
+msgstr "サイトイメージフィルタ :"
+
+msgid "Site image blur :"
+msgstr "サイトイメージ境界 (blur) :"
+
+msgid "Site image interlace :"
+msgstr "サイトイメージインターレース :"
+
+msgid "Site thumbnail jpeg quality :"
+msgstr "サイトサムネイルJPEGクオリティ :"
+
+msgid "Photo selection thumbnail size :"
+msgstr "写真選択サムネイルサイズ :"
+
+msgid "Photo selection thumbnail jpeg quality :"
+msgstr "サイト選択サムネイルJPEGクオリティ :"
+
+msgid "Use exif preview when available :"
+msgstr "利用可能な場合、exifプレビューを使用する :"
+
+msgid "Custom preview ratio :"
+msgstr "カスタムプレビューレシオ :"
+
+msgid "Piwigo url"
+msgstr "Piwigo URI"
+
+msgid "Connect"
+msgstr "接続"
+
+msgid "Work Offline"
+msgstr "オフライン作業"
+
+msgid "Exit"
+msgstr "閉じる"
+
+msgid "empty - work Offline"
+msgstr "空 - オフライン作業"
+
+msgid "None"
+msgstr "なし"
+
+msgid "File name"
+msgstr "ファイル名"
+
+msgid "File path and name"
+msgstr "ファイルパスおよび名称"
+
+msgid "Prefix"
+msgstr "接頭辞"
+
+msgid "Prefix + rank number"
+msgstr "接頭辞 + 連番"
+
+msgid "Rank number + prefix"
+msgstr "連番 + 接頭辞"
+
+msgid "Prefix + create date chrono"
+msgstr "接頭辞 + 作成日時の昇順"
+
+msgid "Create date chrono + prefix"
+msgstr "作成日時の昇順 + 接頭辞"
+
+msgid "Photo"
+msgstr "写真"
+
+msgid "Image processing progress information"
+msgstr "イメージ処理進行情報"
+
+msgid "Cancel image processing"
+msgstr "イメージ処理をキャンセルする"
+
+msgid "Add new album"
+msgstr "新しいアルバムを追加する"
+
+msgid "Album name :"
+msgstr "アルバム名 :"
+
+msgid "New album"
+msgstr "新しいアルバム"
+
+msgid "Refresh"
+msgstr "リフレッシュ"
+
+msgid "Expand all"
+msgstr "すべてを展開する"
+
+msgid "Collapse all"
+msgstr "すべてを折りたたむ"
+
+msgid "Getting started"
+msgstr "スタートする"
+
+msgid "Properties"
+msgstr "プロパティ"
+
+msgid "Remove uploaded photo from selection :"
+msgstr "アップロードされた写真を選択より削除する :"
+