Index: /extensions/pLoader/trunk/locale/hu_HU/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/hu_HU/gs.html	(revision 4122)
+++ /extensions/pLoader/trunk/locale/hu_HU/gs.html	(revision 4122)
@@ -0,0 +1,20 @@
+<html>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    Itt indíthatja a pLoader programot.
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">Új album hozzáadása.</a>
+    <br />
+    <br />
+    2. <a href="add_photos">Képek kiválasztása.</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">Album feltöltése.</a>
+    </font>
+</body>
+</html>
Index: /extensions/pLoader/trunk/locale/hu_HU/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/hu_HU/pLoader.po	(revision 4122)
+++ /extensions/pLoader/trunk/locale/hu_HU/pLoader.po	(revision 4122)
@@ -0,0 +1,357 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-06-16 09:54+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: sámli <gyula54@gmail.com>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "Válassza ki a feltöltendõ képeket"
+
+msgid "JPEG files"
+msgstr "JJPEG-kép"
+
+msgid "Default author :"
+msgstr "Alapértelmezett szerzõ:"
+
+msgid "Foto prefix :"
+msgstr "Kép elõtag :"
+
+msgid "Site thumbnail size :"
+msgstr "Bélyegkép mérete:"
+
+msgid "Site image width :"
+msgstr "Kép szélesség:"
+
+msgid "Site image height :"
+msgstr "Kép magasság:"
+
+msgid "Auto rotate image :"
+msgstr "Kép automatikus foegatása:"
+
+msgid "Upload high (original size) "
+msgstr "Kép feltöltés (eredeti méret)"
+
+msgid "Yes"
+msgstr "Igen"
+
+msgid "No"
+msgstr "Nem"
+
+msgid "Admin. username :"
+msgstr "Rendszergazda felhasználónév:"
+
+msgid "Admin. password :"
+msgstr "Rendszergazda jelszó:"
+
+msgid "OK"
+msgstr "OK"
+
+msgid "Cancel"
+msgstr "Mégsem"
+
+msgid "Create date :"
+msgstr "Létrehozás idõpontja:"
+
+msgid "Width :"
+msgstr "Szélesség:"
+
+msgid "Height :"
+msgstr "Magasság:"
+
+msgid "Orientation :"
+msgstr "Elhelyezkedés:"
+
+msgid "Shutter speed :"
+msgstr "Zár sebesség:"
+
+msgid "Aperture :"
+msgstr "Blende:"
+
+msgid "Focal length :"
+msgstr "Gyújtótávolság:"
+
+msgid "Model :"
+msgstr "Modell:"
+
+msgid "Lens :"
+msgstr "Objektív :"
+
+msgid "Author :"
+msgstr "Szerzõ:"
+
+msgid "Comment :"
+msgstr "Megjegyzés:"
+
+msgid "French"
+msgstr "Francia"
+
+msgid "English"
+msgstr "Angol"
+
+msgid "Russian"
+msgstr "Orosz"
+
+msgid "Italian"
+msgstr "Olasz"
+
+msgid "German"
+msgstr "Német"
+
+msgid "Spanish"
+msgstr "Spanyol"
+
+msgid "Portuguese"
+msgstr "Portugál"
+
+msgid "Dutch"
+msgstr "Holland"
+
+msgid "Polish"
+msgstr "Lengyel"
+
+msgid "Piwigo categories"
+msgstr "Kategóriák"
+
+msgid "Photo properties"
+msgstr "Kép tulajdonjágok"
+
+msgid "Tools"
+msgstr "Eszközök"
+
+msgid "Global settings"
+msgstr "Általános beállítások"
+
+msgid "General"
+msgstr "Általános"
+
+msgid "Resized"
+msgstr "Átméretezett"
+
+msgid "Thumbnail"
+msgstr "Bélyegkép"
+
+msgid "Preview"
+msgstr "Elõnézet"
+
+msgid "Photo selection"
+msgstr "Kép kiválasztása"
+
+msgid "Language choice"
+msgstr "Nyelv kiválasztása"
+
+msgid "Choose a language"
+msgstr "Válassz nyelvet"
+
+msgid "Upload to Piwigo"
+msgstr "Feltöltés galériába"
+
+msgid "Remove photo from selection"
+msgstr "Törlendõ képek kiválasztása"
+
+msgid "Add photo to selection"
+msgstr "Feltöltendő képek kiválasztása"
+
+msgid "Not connected"
+msgstr "Nincs kapcsolat"
+
+msgid "Connection to"
+msgstr "Kapcsolódás"
+
+msgid "failed"
+msgstr "hiba"
+
+msgid "Piwigo login"
+msgstr "Bejelentkezés galériába"
+
+msgid "Piwigo login error"
+msgstr "Galéria bejelentkezési hiba"
+
+msgid "Please select a valid target category"
+msgstr "Válassz egy érvényes cél kategóriát"
+
+msgid "Piwigo upload error"
+msgstr "Galéria feltöltési hiba"
+
+msgid "Category name :"
+msgstr "Kategória neve:"
+
+msgid "Add new category"
+msgstr "Új kategória hozzáadása"
+
+msgid "New category"
+msgstr "Új kategória"
+
+msgid "Upload cancelled"
+msgstr "Feltöltés megszakítása"
+
+msgid "Image upload progress information"
+msgstr "Kép feltöltés haladó információk"
+
+msgid "Cancel upload"
+msgstr "Feltöltés megszakítása"
+
+msgid "Piwigo upload information"
+msgstr "Galéria feltöltési információk"
+
+msgid "Processing"
+msgstr "Feldolgozás"
+
+msgid "images processed"
+msgstr "Kép feldolgozása"
+
+msgid "images uploaded"
+msgstr "Feltöltött képek"
+
+msgid "images in errors and not uploaded"
+msgstr "Hibás feltöltés (nem feltöltött)"
+
+msgid "Duration"
+msgstr "Idõtartam"
+
+msgid "Categories"
+msgstr "Kategóriák"
+
+msgid "categories"
+msgstr "kategóriák"
+
+msgid "Categorie"
+msgstr "Kategória"
+
+msgid "categorie"
+msgstr "kategória"
+
+msgid "Album"
+msgstr "Album"
+
+msgid "Albums"
+msgstr "Albumok"
+
+msgid "album"
+msgstr "album"
+
+msgid "albums"
+msgstr "albumok"
+
+msgid "Photo caption :"
+msgstr "Kép felirat:"
+
+msgid "File name :"
+msgstr "Fájlnév:"
+
+msgid "Default photo caption :"
+msgstr "Alapértelmezett képfelirat:"
+
+msgid "Resize site image :"
+msgstr "Képméret igazítása a weboldalhoz:"
+
+msgid "Auto rotate :"
+msgstr "Automatikus forgatás:"
+
+msgid "Upload high (original size) :"
+msgstr "Kép feltöltés (eredeti méret):"
+
+msgid "Site image jpeg quality :"
+msgstr "JPEG minõség:"
+
+msgid "Site image filter :"
+msgstr "Szûrõ:"
+
+msgid "Site image blur :"
+msgstr "Kép elmosás:"
+
+msgid "Site image interlace :"
+msgstr "Interlace:"
+
+msgid "Site thumbnail jpeg quality :"
+msgstr "Bélyegkép (JPEG) minõség:"
+
+msgid "Photo selection thumbnail size :"
+msgstr "Kép indexkép méret:"
+
+msgid "Photo selection thumbnail jpeg quality :"
+msgstr "Kép JPEG minõség:"
+
+msgid "Use exif preview when available :"
+msgstr "Exif adatok:"
+
+msgid "Custom preview ratio :"
+msgstr "Saját elõnézeti viszony:"
+
+msgid "Piwigo url"
+msgstr "Galéria elérési út"
+
+msgid "Connect"
+msgstr "Csatlakozás"
+
+msgid "Work Offline"
+msgstr "Kapcsolat nélküli munka"
+
+msgid "Exit"
+msgstr "Kilépés"
+
+msgid "empty - work Offline"
+msgstr "Kapcsolat nélküli munka"
+
+msgid "None"
+msgstr "Nem"
+
+msgid "File name"
+msgstr "Fájlnév"
+
+msgid "File path and name"
+msgstr "Fájl neve és elérési útja"
+
+msgid "Prefix"
+msgstr "Elõtag"
+
+msgid "Prefix + rank number"
+msgstr "Elõtag + rang értéke"
+
+msgid "Rank number + prefix"
+msgstr "Rang értéke + elõtag"
+
+msgid "Prefix + create date chrono"
+msgstr "Elõtag + dátum"
+
+msgid "Create date chrono + prefix"
+msgstr "Létrehozás dátuma + elõtag"
+
+msgid "Photo"
+msgstr "Kép"
+
+msgid "Image processing progress information"
+msgstr "Képfeldolgozás haladó információk"
+
+msgid "Cancel image processing"
+msgstr "Képfeldolgozás megszakítása"
+
+msgid "Add new album"
+msgstr "Új album létrehozása"
+
+msgid "Refresh"
+msgstr "Frissítés"
+
+msgid "Expand all"
+msgstr "Összes kibontása"
+
+msgid "Collapse all"
+msgstr "Mindent bezár"
+
+msgid "Getting started"
+msgstr "Indítás"
+
+msgid "Properties"
+msgstr "Beállítások"
+
+msgid "Remove uploaded photo from selection :"
+msgstr "Eltávolítás (feltöltött képek):"
+